Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Class DefaultGrailsTagLibClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsTagLibClass

All Implemented Interfaces:
  GrailsClass, GrailsTagLibClass, InjectableGrailsClass

    public class DefaultGrailsTagLibClass

extends AbstractInjectableGrailsClass
implements GrailsTagLibClass

Since:
  14-Jan-2006 Default implementation of a tag lib class
Author:
  Graeme Rocher

Field Summary
`protected static String` | `TAG_LIB`

Fields inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`LOG`

Fields inherited from interface org.codehaus.groovy.grails.commons.GrailsTagLibClass
`DEFAULT_NAMESPACE, NAMESPACE_FIELD_NAME, RETURN_OBJECT_FOR_TAGS_FIELD_NAME, SUPPORTS_CONTROLLER`

Constructor Summary
`DefaultGrailsTagLibClass(Class clazz)` Default contructor

Method Summary
`String` | `getNamespace()`
`Set` | `getTagNames()`
`Set<String>` | `getTagNamesThatReturnObject()`
`boolean` | `hasTag(String tagName)`
`boolean` | `supportsController(GrailsControllerClass controllerClass)` Whether this tag library supports the specified controller

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, newInstance`

Field Detail

### TAG_LIB

    protected static final String TAG_LIB

See Also:
  Constant Field Values

Constructor Detail

### DefaultGrailsTagLibClass

    public DefaultGrailsTagLibClass(Class clazz)

  Default contructor

  Parameters:
    `clazz` - the tag library class

Method Detail

### supportsController

    public boolean supportsController(GrailsControllerClass controllerClass)

  Description copied from interface: `GrailsTagLibClass`
  Whether this tag library supports the specified controller

  Specified by:
    `supportsController` in interface `GrailsTagLibClass`
  Parameters:
    `controllerClass` - The controllerClass to check
  Returns:
    True if the controller is supported

### hasTag

    public boolean hasTag(String tagName)

  Specified by:
    `hasTag` in interface `GrailsTagLibClass`
  Parameters:
    `tagName` - The name of the tag
  Returns:
    Whether the tag library contains the specified tag

### getTagNames

    public Set getTagNames()

  Specified by:
    `getTagNames` in interface `GrailsTagLibClass`
  Returns:
    The tag names in this library

### getNamespace

    public String getNamespace()

  Specified by:
    `getNamespace` in interface `GrailsTagLibClass`
  Returns:
    the namespace that this taglib occupies.

### getTagNamesThatReturnObject

    public Set<String> getTagNamesThatReturnObject()

  Specified by:
    `getTagNamesThatReturnObject` in interface `GrailsTagLibClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project